package kr.co.vividnext.sodalive.member

import com.querydsl.jpa.impl.JPAQueryFactory
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface MemberRepository : JpaRepository<Member, Long>, MemberQueryRepository {
    fun findByEmail(email: String): Member?
    fun findByNickname(nickname: String): Member?
}

interface MemberQueryRepository

@Repository
class MemberQueryRepositoryImpl(private val queryFactory: JPAQueryFactory) : MemberQueryRepository
